---
layout: handbook-page-toc
title: "Engaging with Partners"
---

## Process for Engaging with Partners in [TAM-Assigned](/handbook/customer-success/tam/customer-segments-and-metrics/#tam-assigned-segment) Customer Accounts



### Pre-Customer Kick-Off or 1st Engagement:

1. GitLab Partner team introduces TAM & SAL/AE to Partner - ideally before sale closes to not slow down post-sales implementation

1. TAM and SAL/AE connects with Partner to align on the role the Partner will play post-sale.  

   * If the Partner has an ongoing engagement with the customer, TAM & Partner to align on post-sale Kick-Off call, collaborating on the Kick-Off deck content and ownership/roles for the call

   * Determine if the Partner has planned ongoing cadence calls with the customers and how the TAM can best be included without creating duplication

   * Determine who will invite the customer to the Kick-Off Call

   * Determine agreed next steps from the Kick-Off call including agreement with customer of ongoing cadence of engagement



### Customer Onboarding:

1. [GitLab's process and metrics for successful onboarding can be found here](https://about.gitlab.com/handbook/customer-success/tam/onboarding/#time-to-first-value).

1. TAM and Partner are to work together to ensure the best possible experience for the customer, while not impacting key metrics such as Time to Engage and Time to 1st Value wherever possible.



### Ongoing Cadence Calls:

1. The TAM team follows these [guidelines in holding cadence calls with customers](https://about.gitlab.com/handbook/customer-success/tam/cadence-calls/). The TAM is to work with the Partner to align on how they can collaborate in regard to touchpoints with the customer, creating a seamless customer experience



### Executive Business Reviews (EBR)

1. The TAM holds an EBR with their customer around month 6 of each contract year, [the process for the EBR can be found here](/handbook/customer-success/tam/ebr/)

1. Prior to setting up any EBR, the TAM is to sync with the parters to determine who will invite the customer, and collaborate on the content taking into account the GitLab template and the strategic initiatives of the partner.



### Measuring Customer Health

1. The TAM has a series of [health scorecards](/handbook/customer-success/tam/health-score-triage/#gainsight-scorecard-attributes-and-calculations) by which a TAM can manage of the key indicators of risk within a customer account.

1. The TAM and Partner are recommended to review the health of the account on an agreed cadence, with the least being quarterly and the most being monthly.
